NativeScalarFunction (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3.functions

## Class NativeScalarFunction

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.NativeFunction
    - - org.apache.cassandra.cql3.functions.NativeScalarFunction

- All Implemented Interfaces:
    AssignmentTestable, Function, ScalarFunction
  Direct Known Subclasses:
    FromJsonFct, ToJsonFct, TokenFct

      public abstract class NativeScalarFunction
      extends NativeFunction
      implements ScalarFunction

  Base class for the `ScalarFunction` native classes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, name, returnType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NativeScalarFunction(java.lang.String name, AbstractType<?> returnType, AbstractType<?>... argsType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAggregate()` Checks whether the function is an aggregate function or not.
    `boolean` | `isCalledOnNullInput()`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeFunction

      `isNative`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, equals, getFunctions, hashCode, hasReferenceTo, name, returnType, testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.ScalarFunction

      `execute`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `argTypes, getFunctions, hasReferenceTo, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Constructor Detail

    - #### NativeScalarFunction

          protected NativeScalarFunction(java.lang.String name,
                                         AbstractType<?> returnType,
                                         AbstractType<?>... argsType)

  - ### Method Detail

    - #### isCalledOnNullInput

          public boolean isCalledOnNullInput()

      Specified by:
        `isCalledOnNullInput` in interface `ScalarFunction`

    - #### isAggregate

          public final boolean isAggregate()

      Description copied from interface: `Function`
      Checks whether the function is an aggregate function or not.
      Specified by:
        `isAggregate` in interface `Function`
      Returns:
        `true` if the function is an aggregate function, `false` otherwise.

Copyright © 2018 The Apache Software Foundation